import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import { getPrefixClassName } from '../../config-provider/context';
import cx from 'classnames';
var PayLine = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var prefixCls = props.prefixCls,
      className = props.className,
      reset = _objectWithoutProperties(props, ["prefixCls", "className"]);

  var iconPrefix = getPrefixClassName('icon', prefixCls);
  return /*#__PURE__*/React.createElement("span", Object.assign({
    className: cx("".concat(iconPrefix, " ").concat(iconPrefix, "-payLine"), className),
    ref: ref
  }, reset), /*#__PURE__*/React.createElement("svg", {
    width: "1em",
    height: "1em",
    viewBox: "0 0 16 16",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M13.938 3.016c.586 0 1.062.475 1.062 1.062v7.89c0 .588-.476 1.063-1.063 1.063H2.063A1.063 1.063 0 011 11.97v-7.89c0-.588.476-1.063 1.063-1.063zm-.063 4.093H2.125v4.797h11.75V7.11zm0-2.968H2.125v1.843h11.75V4.14z",
    fill: "currentColor",
    fillRule: "evenodd"
  })));
});
PayLine.displayName = "PayLine";
export default PayLine;